Skip to main content
PUT
Update Pass Template Information

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

authorization
string | null

Path Parameters

templateId
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Body

application/json
name
string
required
passType
string | null
description
TemplatePass · object | null
disablePush
boolean | null
placeholders
TemplatePlaceholder · object[] | null
branding
TemplateBranding · object | null
payment
TemplatePayment · object | null
restrictions
TemplateRestrictions · object | null
actions
TemplateAction · object | null
translations
TemplateTranslation · object | null
allowPassImages
enum<string>[] | null

Supported images Boarding pass: logo, icon, footer Coupon: logo, icon, strip Event ticket: logo, icon, strip, background, thumbnail If you specify a strip image, do not specify a background image or a thumbnail. Generic: logo, icon, thumbnail Store card: logo, icon, strip

Args: StrEnum (type): description

Available options:
logo,
icon,
strip,
footer,
background,
thumbnail
stripImage
TemplateStripImage · object | null

Response

Successful Response